# class WpTheme - RDoc Documentation

# class WpTheme

### Attributes

style_url[W]

### Public Instance Methods

allowed_options() click to toggle source
Calls superclass method WpItem#allowed_options

    # File lib/common/models/wp_theme.rb, line 13
    def allowed_options; super << :style_url end

forge_uri(target_base_uri) click to toggle source

Sets the @uri

@param [ URI ] target_base_uri The URI of the wordpress blog

@return [ void ]

    # File lib/common/models/wp_theme.rb, line 20
    def forge_uri(target_base_uri)
      @uri = target_base_uri.merge(URI.encode(wp_content_dir + '/themes/' + name + '/'))
    end

style_url() click to toggle source

@return [ String ] The url to the theme stylesheet

    # File lib/common/models/wp_theme.rb, line 25
    def style_url
      unless @style_url
        @style_url = uri.merge('style.css').to_s
      end
      @style_url
    end